Get Information About All Services (11.1.2.3.600)

Returns information about all services that you can perform in a Planning environment.

Required Roles

Service Administrator

REST Resource

GET /interop/rest/11.1.2.3.600/services

Response

Supported Media Types: application/json

Table 9-33 Parameters

Name Description
details In case of errors, details are published with the error string
status See Migration Status Codes
details In case of error, details are published with the error string
links Detailed information about the link
href Links to API call or status API
action The HTTP call type
rel Possible values: self, PBCS recreate service, PBCS reset service - details are for PBCS recreate service
data Parameters as key value pair passed in the request

Example of Response Body

{
	"details":null,
	"status":0,
	"links":[{
		"href":"https://<BASE-URL>/interop/rest/11.1.2.3.600/services",
		"rel":"self",
		"data":null,
		"action":"GET"
		},{
		"href":"https://<BASE-URL>/interop/rest/11.1.2.3.600/services/PBCS/recreate",
		"rel":"PBCS recreate service",
		"data":null,
		"action":"POST"
	},{
		"href":"https://<BASE-URL>/interop/rest/11.1.2.3.600/services/PBCS/resetservice",
		"rel":"PBCS reset service",
		"data":null,
		"action":"POST"
	}]
}

cURL Sample

funcGetServices() {
	url=$SERVER_URL/interop/rest/$API_VERSION/services
	funcExecuteRequest "GET" $url

	output=`cat response.txt`
	status=`echo $output | jq '.status'`
	if [ $status == 0 ]; then
		echo "Services list :"
		count=`echo $output | jq '.links | length'`
		i=0
		while [ $i -lt $count ]; do
			rel=`echo $output | jq '.links['$i'].rel'`
			rel=`echo "$rel" | tr -d "\""`
			if [ "$rel" != "self" ]; then
				echo "Service : " `echo $output | jq '.links['$i'].rel'`
				echo "URL :" `echo $output | jq '.links['$i'].href'`
				echo "Action :" `echo $output | jq '.links['$i'].action'`
				echo ""
			fi
			i=`expr $i + 1`
		done
	else
		error=`echo $output | jq '.details'`
		echo "Error occurred. " $error
	fi
	funcRemoveTempFiles "respHeader.txt" "response.txt"
}